Results 1 to 2 of 2

Thread: OpenSSL error in ruby RestClient after update to 13.2

  1. #1

    Default OpenSSL error in ruby RestClient after update to 13.2

    After updated to 13.2 I encountered problem with ruby RestClient (1.6.7) and OpenSSL.

    Code:
    smirnoff@linux:~/work/interface> restclient2.0.0-p353 :001 >  RestClient.get "https://blahdomain"
    OpenSSL::SSL::SSLError: SSL_connect returned=1 errno=0 state=SSLv3 read server key exchange B: EC lib
            from /home/smirnoff/.rvm/rubies/ruby-2.0.0-p353/lib64/ruby/2.0.0/net/http.rb:918:in `connect'
            from /home/smirnoff/.rvm/rubies/ruby-2.0.0-p353/lib64/ruby/2.0.0/net/http.rb:918:in `block in connect'
            from /home/smirnoff/.rvm/rubies/ruby-2.0.0-p353/lib64/ruby/2.0.0/timeout.rb:52:in `timeout'
            from /home/smirnoff/.rvm/rubies/ruby-2.0.0-p353/lib64/ruby/2.0.0/net/http.rb:918:in `connect'
            from /home/smirnoff/.rvm/rubies/ruby-2.0.0-p353/lib64/ruby/2.0.0/net/http.rb:862:in `do_start'
            from /home/smirnoff/.rvm/rubies/ruby-2.0.0-p353/lib64/ruby/2.0.0/net/http.rb:851:in `start'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/gems/rest-client-1.6.7/lib/restclient/request.rb:172:in `transmit'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in `execute'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in `execute'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/gems/rest-client-1.6.7/lib/restclient.rb:68:in `get'
            from (irb):1
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/gems/rest-client-1.6.7/bin/restclient:92:in `<top (required)>'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/bin/restclient:23:in `load'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/bin/restclient:23:in `<main>'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/bin/ruby_executable_hooks:15:in `eval'
            from /home/smirnoff/.rvm/gems/ruby-2.0.0-p353/bin/ruby_executable_hooks:15:in `<main>'
    Tried differerent ruby versions via rvm, but still appeared.

    Thank you for any possible help.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,446
    Blog Entries
    2

    Default Re: OpenSSL error in ruby RestClient after update to 13.2

    How did you upgrade, with DVD (offline) or online (zypper dup)?
    Although in these early days it might not matter, any time you do an offline upgrade you need to update to get latest packages
    Code:
    zypper update
    Your situation might require submitting a bug(use same credentials you use to login to these Technical Help Forums) at
    http://bugzilla.novell.com

    Since you seem to be pulling your gems from the public Ruby repos and not the openSUSE repos, someone may have to look into your situation.

    TSU

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •